Scanners
Get Scanner Run Details
GET
https://oathnet.org/api
/
scanners
/
{scanner_uid}
/
runs
/
{run_uid}
Get Scanner Run Details
curl --request GET \
--url https://oathnet.org/api/scanners/{scanner_uid}/runs/{run_uid} \
--header 'x-api-key: <api-key>'import requests
url = "https://oathnet.org/api/scanners/{scanner_uid}/runs/{run_uid}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://oathnet.org/api/scanners/{scanner_uid}/runs/{run_uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uid": "<string>",
"status_display": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"search_from": "2023-11-07T05:31:56Z",
"search_to": "2023-11-07T05:31:56Z",
"results_count": 123,
"results_sample": [
"<unknown>"
],
"request_params_used": {},
"execution_meta": {},
"notification_sent": true,
"notification_sent_at": "2023-11-07T05:31:56Z",
"notification_error": "<string>",
"error_message": "<string>",
"search_url": "<string>",
"previous_results_count": 123,
"results_delta": 123,
"notification_logs": [
{
"uid": "<string>",
"attempt_number": 123,
"attempted_at": "2023-11-07T05:31:56Z",
"success": true,
"response_status_code": 123,
"error_message": "<string>",
"response_excerpt": "<string>",
"delivery_id": "<string>",
"security_mode": "<string>",
"target": "<string>"
}
]
}Authorizations
API key for authentication (lowercase header name)
Response
200 - application/json
Raw scanner run detail
Available options:
pending, running, completed, failed, notification_failed Show child attributes
Show child attributes
⌘I
Get Scanner Run Details
